File Services

File Services provides technologies that help manage storage, enable file replication, manage shared folders, ensure fast file searching, and enable access for UNIX client computers.

With File Services, organizations can store files in a central location and then share them with users across the company network. You can index these shared files to help users find files quickly. In addition, you can synchronize folders on multiple servers to provide fault-tolerant access to shared resources. File Services also enables you to provision storage on Fibre Channel and iSCSI disk storage subsystems.

  • To learn more about the services and components in File Services, see File Services Overview.

  • For File Services documentation on the Web, see http://go.microsoft.com/fwlink/?LinkId=94208.


File Services Overview

A file server provides a central location on your network where you can store files and share them with users across your network. When users require an important file that is intended to be accessed by many users, such as a project plan, they can access the file remotely on the file server instead of having to pass the file between their separate computers.

If your network users need access to the same files and applications, or if centralized backup and file management are important to your organization, you should configure this computer as a file server by adding the File Services role.

The File Services role includes the following role services:

  • Share and Storage Management

  • Distributed File System (DFS)

  • File Server Resource Manager (FSRM)

  • Services for Network File System (NFS)

  • Windows Search Service

  • Windows Server 2003 File Services

In addition to the role services listed above, you may also want to install the following optional features:

  • Windows Server Backup

  • Storage Manager for SANs

  • Failover Clustering

  • Multipath I/O

Role services in the File Services role

Share and Storage Management

The Share and Storage Management console provides integrated and simplified management of shared folders and storage resources. You can use Share and Storage Management to share the content of folders and manage the use of shared folders.

You can also use Share and Storage Management to create and configure logical unit numbers (LUNs) to allocate space on storage subsystems in your storage area network (SAN).

For more information, see Share and Storage Management Help. You can view local Help content by typing the following command at a command prompt: hh storagemgmt.chm.

Distributed File System (DFS)

Distributed File System consists of two technologies that can be used together or independently to provide fault-tolerant and flexible file sharing and replication services on a Windows-based network.

DFS Namespaces

DFS Namespaces enables you to group shared folders located on different servers into one or more logically structured namespaces. Each namespace appears to users as a single shared folder with a series of subfolders. However, the underlying structure of the namespace can consist of numerous shared folders located on different servers and in multiple sites. Because the underlying structure of shared folders is hidden from users, a single folder in a DFS namespace can correspond to multiple shared folders on multiple servers. This structure provides fault tolerance and the ability to automatically connect users to local shared folders, when available, instead of routing them over wide area network (WAN) connections.

For more information, see Namespaces in DFS Management Help. You can view local Help content by typing the following command at a command prompt: hh dfs2.chm.

DFS Replication

DFS Replication is a multimaster replication engine that enables you to synchronize folders on multiple servers across local or wide area network (WAN) network connections. It uses the Remote Differential Compression (RDC) protocol to update only the portions of files that have changed since the last replication. DFS Replication can be used in conjunction with DFS Namespaces, or by itself.

For more information, see Replication in DFS Management Help. You can view local Help content by typing the following command at a command prompt: hh dfs2.chm.

File Server Resource Manager (FSRM)

File Server Resource Manager includes several tools that enable administrators to understand, control, and manage the quantity and type of data stored on their servers. By using File Server Resource Manager, administrators can place quotas on folders and volumes, actively screen files, and generate comprehensive storage reports.

For more information, see File Server Resource Manager Help. You can view local Help content by typing the following command at a command prompt: hh fsrm.chm.

Services for Network File System (NFS)

Services for Network File System (NFS) provides a file sharing solution for enterprises that have a mixed Windows and UNIX environment. With Services for NFS, you can transfer files between computers running Windows Server 2008 and UNIX operating systems using the NFS protocol.

For more information, see Services for Network File System Help. You can view local Help content by typing the following command at a command prompt: hh nfs__lh.chm.

Windows Search Service

Windows Search Service enables you to perform fast file searches on a server from client computers that are compatible with Windows Search.

For more information, see Windows Search Service and Indexing Service.

Note

You cannot install both Windows Search Service and Indexing Service on the same computer.

Windows Server 2003 File Services

The File Services role in Windows Server 2008 includes the following role services that are compatible with Windows Server 2003.

File Replication Service (FRS)

File Replication Service (FRS) enables you to synchronize folders with file servers that use FRS instead of the newer DFS Replication service. To enable a server to synchronize folders with servers that use FRS (with the Windows Server 2003 or Windows 2000 implementations of Distributed File System), install File Replication Service. To enable the latest and most efficient replication technology, install DFS Replication instead.

For more information, see the FRS Technical Reference (http://go.microsoft.com/fwlink/?LinkId=80977).

Indexing Service

Indexing Service catalogs contents and properties of files on local and remote computers. It also enables you to quickly find files through a flexible query language.

For more information, see Windows Search Service and Indexing Service.

Note

You cannot install both Indexing Service and Windows Search Service on the same computer.

Optional features

You have the option of installing additional features to complement the role services in the File Services role, including the following features.

Windows Server Backup

Windows Server Backup enables you to reliably back up and recover the operating system, certain applications, and files and folders stored on the server. This feature introduces new backup and recovery technology and replaces the previous backup feature that was available with earlier versions of Windows.

For more information, see Windows Server Backup Help. You can view local Help content by typing the following command at a command prompt: hh backup.chm.

Storage Manager for SANs

Storage Manager for SANs enables you to provision storage on one or more Fibre Channel or iSCSI storage subsystems on a storage area network (SAN).

For more information, see Storage Manager for SANs Help. You can view local Help content by typing the following command at a command prompt: hh sanmgr.chm.

Failover Clustering

The Failover Clustering feature enables multiple servers to work together to increase the availability of services and applications. The clustered servers (called nodes) are connected by physical cables and by software. If one of the nodes fails, another node begins to provide service through a process known as failover.

For more information, see failover clustering documentation on the Web (http://go.microsoft.com/fwlink/?LinkId=62911).

Multipath I/O

Multipath I/O provides support for multiple data paths from a file server to a storage device. By using Multipath I/O, you can increase data availability by providing redundant connections to storage subsystems. Multipathing can also provide load balancing of I/O traffic, which improves system and application performance.

For more information, see Multipath I/O documentation on the Web (http://go.microsoft.com/fwlink/?LinkId=81020).

Hardware and software considerations

Note

A limited set of server roles is available for the Server Core installation option of Windows Server 2008 and for Windows Server 2008 for Itanium-Based Systems.

Additional resources

For File Services documentation on the Web, see http://go.microsoft.com/fwlink/?LinkId=94208.


Windows Search Service and Indexing Service

Windows Search Service is a new indexing solution that is included in Windows Server® 2008 as a role service in the File Services role. It creates an index of the most common file and non-file data types on your server—such as e-mail, contacts, calendar appointments, documents, photos, multimedia, and other formats extended by non-Microsoft files. Indexing files and data types enables you to perform fast file searches on your server from computers running Windows Vista, or from computers running Windows XP or Windows Server 2003 with Windows Desktop Search installed.

Indexing Service is an indexing solution that is included with Windows Server 2008 and was part of previous releases of Windows.

Which indexing solution should I install?

You should install Windows Search Service, unless you have a customized or non-Microsoft application that requires you to run the legacy Indexing Service on your server. Windows Search Service offers several enhancements over Indexing Service, especially in the areas of extensibility, usability, and performance.

If you have applications that require Indexing Service, we recommend that you upgrade them to be compatible with Windows Search Service.

Can I install both indexing solutions?

You cannot install Windows Search Service and Indexing Service on the same computer. Both indexing solutions consume system resources when they are actively indexing volumes and folders—having both of them running at the same time could considerably affect system performance.

Selecting which volumes and folders to index with Windows Search Service

When you install Windows Search Service using the Add Roles Wizard or the Add Role Services Wizard in Server Manager, you are given the option to select the volumes that you want to index. We recommend that you select a volume only if that volume is used exclusively for hosting shared folders. Indexing files and data types in folders that are not shared on your network will not benefit client computers connecting to your server and will consume system resources.

If you want to index individual shared folders, you can add them later to the list of indexing locations by using Indexing Options in Control Panel.

Note

When you install Windows Search Service, default indexing locations are selected, even if you do not select a volume to index. You can review the default locations by using Indexing Options.

Modifying the indexing locations

After you install Windows Search Service, you can use Indexing Options in Control Panel to add or remove folders and volumes from the list of indexing locations. Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To modify the indexing locations

  1. After installing Windows Search Service, in Control Panel, double-click Indexing Options.

  2. Click Modify.

  3. If there are no indexed locations listed, click Show all locations. If the User Account Control dialog box appears, confirm that the action it displays is what you want, and then click Continue.

  4. To remove a folder or volume from the list of indexed locations, select it first in the Summary of selected locations list, and then unselect the check box for it in the Change selected locations list.

  5. To add a folder or volume to the list, select the check box for it in the Change selected locations list.

  6. Click OK when you are done making all modifications.

  7. Click Close to exit Indexing Options.

Related information

  • Windows Desktop Search for Windows XP, Windows 2000, and Windows Server 2003 (http://go.microsoft.com/fwlink/?LinkId=93384)

  • Microsoft Developer Network documentation for Windows Search 3.x (http://go.microsoft.com/fwlink/?LinkId=93386).